# VOTEQUORUM_SETEXPECTED

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
ERRORS
SEE ALSO

## NAME

votequorum_setexpected − Sets the expected votes for the cluster

## SYNOPSIS

#include <corosync/votequorum.h>

int votequorum_setexpected(votequorum_handle_t handle, int expected_votes);

## DESCRIPTION

The votequorum_setexpected function is used to change the expected votes in the cluster. Expected votes is used to calculate quorum and should normally be the total number of votes that will exist when all the expected nodes are joined. Quorum will usually be half of this (rounded up). It is not possible to set expected votes up so that it makes the cluster inquorate using this command.

## RETURN VALUE

This call returns the CS_OK value if successful, otherwise an error is returned.

## ERRORS

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task

## SEE ALSO

votequorum_overview(8), votequorum_initialize(3), votequorum_finalize(3), votequorum_getinfo(3), votequorum_trackstart(3), votequorum_trackstop(3), votequorum_fd_get(3), votequorum_dispatch(3), votequorum_context_set(3), votequorum_context_get(3), votequorum_setvotes(3)